Package org.eclipse.emf.cdo.common.util

## Class ResourceSetConfigurer.Registry.ResourceSetConfiguration

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterImpl
  - - org.eclipse.emf.cdo.common.util.ResourceSetConfigurer.Registry.ResourceSetConfiguration

- All Implemented Interfaces:
    `org.eclipse.emf.common.notify.Adapter`, `org.eclipse.emf.common.notify.Adapter.Internal`, `org.eclipse.net4j.util.container.IManagedContainerProvider`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`
  Enclosing class:
    ResourceSetConfigurer.Registry

      public static final class ResourceSetConfigurer.Registry.ResourceSetConfiguration
      extends org.eclipse.emf.common.notify.impl.AdapterImpl
      implements org.eclipse.net4j.util.lifecycle.IDeactivateable, org.eclipse.net4j.util.container.IManagedContainerProvider

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

      `org.eclipse.emf.common.notify.Adapter.Internal`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

      `target`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Exception` | `deactivate()` |
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getConfigurerResults()` |
    `org.eclipse.net4j.util.container.IManagedContainer` | `getContainer()` |
    `java.lang.Object` | `getContext()` |
    `org.eclipse.emf.ecore.resource.ResourceSet` | `getResourceSet()` |
    `boolean` | `isActive()` |
    `boolean` | `isAdapterForType​(java.lang.Object type)` |
    `static ResourceSetConfigurer.Registry.ResourceSetConfiguration` | `of​(org.eclipse.emf.ecore.resource.ResourceSet resourceSet)` |

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

      `getTarget, notifyChanged, setTarget, unsetTarget`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getResourceSet

          public org.eclipse.emf.ecore.resource.ResourceSet getResourceSet()

    - #### getContext

          public java.lang.Object getContext()

    - #### getContainer

          public org.eclipse.net4j.util.container.IManagedContainer getContainer()

      Specified by:
        `getContainer` in interface `org.eclipse.net4j.util.container.IManagedContainerProvider`

    - #### getConfigurerResults

          public java.util.Map<java.lang.String,​java.lang.Object> getConfigurerResults()

    - #### isActive

          public boolean isActive()

    - #### deactivate

          public java.lang.Exception deactivate()

      Specified by:
        `deactivate` in interface `org.eclipse.net4j.util.lifecycle.IDeactivateable`

    - #### isAdapterForType

          public boolean isAdapterForType​(java.lang.Object type)

      Specified by:
        `isAdapterForType` in interface `org.eclipse.emf.common.notify.Adapter`
      Overrides:
        `isAdapterForType` in class `org.eclipse.emf.common.notify.impl.AdapterImpl`

    - #### of

          public static ResourceSetConfigurer.Registry.ResourceSetConfiguration of​(org.eclipse.emf.ecore.resource.ResourceSet resourceSet)